Thứ Ba, 22 tháng 9, 2009

Lisp Thống kê thép.

*Tiện ích thống kê thép bao gồm 3 tiện ích thống kê:
+TKTT: Thống kê thép tròn.
+TKTH: Thống kê thép hình.
+TKTM: Thống kê thép mã.


*Thống kê thép tròn:
-Tên lệnh: TKTT.
-Xuất hiện hộp thoại chính

-Để tạo bảng mới bạn nhấn nút bat dau. Hỏi điểm chèn bạn kích 1 điểm lisp chèn bảng tiêu đề và xuất hiện bảng 24 hình dáng thép + vài loại cấu kiện hay dùng.

+Bạn chọn các kiểu cấu kiện ví dụ seno thì lisp sẽ hỏi bạn trình tự các thanh thép của sê nô. Hoặc chọn hình dáng thép bằng cách kích vào ô có hình thanh thép cần chọn và nhấn enter hoặc nút thống kê. Lisp sẽ hỏi bạn các thông số bạn trả lời. Lisp sẽ tính ra tổng chiều dài và trọng lượng.
+Lưu ý khi lisp hỏi số lượng thanh mình chuẩn bị cả chức năng tính toán số thanh. Nếu bạn đã tính dược số thanh thì cứ nhập vào còn nếu muốn tính toán thì nhập vào số 0 enter lisp sẽ hỏi bạn chiều dài rải bạn nhập vào, lisp hỏi bạn khoảng cách rải bạn nhập vào lisp sẽ chia chiều dài cho khoảng cách sau đó +1 và ghi vào chổ số lượng thanh.
+Lisp tự động xuống hàng và cộng số thứ tự thêm 1 đơn vị, khi nào hết cấu kiện thì bạn chọn nút kekhung hoặc gỏ k thì lisp sẽ kẻ khung và hỏi số cấu kiện, tên cấu kiện, set số thứ tự thanh trở về giá trị 1.
+Khi nào hông thống kê nửa thì nhấn nút thoi để thoát khỏi lệnh.

-Khi đã có bảng thì không chọn bắt đầu mà chọn tiếp tục sau đó chọn điểm dưới bên trái của bảng hiện có để tiếp tục thống kê vào bảng. Khi lisp hỏi số thứ tự bắt đầu thì nhập vào bao nhiêu nó sẽ lấy số thứ tự đó mà bắt đầu.

-Muốn chỉnh bảng thống kê thì bạn làm như sau:
+Cứ dùng lệnh ddedit để sửa các số muốn sửa.
+Xong gỏ lệnh TKTT chọn nút chinhbang. Chọn điểm trên bên trái và điểm dưới bên phải (nhớ chừa cái tiêu đề ra à nha) ngồi chờ coi cái lisp nó đọc rồi tính lại kết quả cho bạn.

-Để tổng hợp thép làm như sau:
+Gỏ lệnh TKTT chọn nút tonghop nó lên hộp thoại sau:

+Chọn nút caukien: chọn điểm trên bên trái và dưới bên phải của từng cầu kiện. Bạn thấy lisp đọc và viết số cấu kiện ra phía trước từng dòng của cấu kiện. Làm hết cho tất cả các cấu kiện.
+Chọn nút tonghop: Chọn điểm trên bên trái và điểm dưới bên phải (nhớ chừa cái tiêu đề ra à nha) chỉ 1 điểm để xuất kết quả. Các số cầu kiện ghi hồi nảy sẽ tự động mất đi.

*Thống kê thép hình:
-Tên lệnh: TKTH.
-Xuất hiện hộp thoại chính.

-Chọn bắt đầu hoặc tiếp tục: xuất hiện hộp thoại.

-Bạn chọn loại thép hình muốn thống kê và làm theo cân hỏi lisp đưa ra.

*Thống kê thép mã: Cách dùng tương tự.
@Chức năng tổng hợp và chỉnh bảng chỉ có trong thống kê thép tròn.

Cần làm theo Hướng Dẫn khi dùng lisp này!

17 nhận xét:

  1. ĐỆ TỬ chẳng nhớ là đã Copy được Lisp vẽ kĩ thuật của SƯ PHỤ ở đâu nữa nên đành viết tạm ở đây vậy , mong SƯ PHỤ hiểu cho .

    vekientruc : dialog {
    key = "tieudehopthoai";
    :row {

    : image {
    key = "img_1";
    height = 6;
    aspect_ratio = 1.2;
    fixed_height = true;
    allow_accept = true;
    alignment = centered;
    color = -15;
    }
    : column {
    label="";
    width = 0;

    : row {
    : image_button {
    key = "hinhve_1";
    height = 3;
    aspect_ratio = 2.2;
    fixed_height = true;
    allow_accept = true;
    alignment = centered;
    color = -2;
    }

    Nhờ SƯ PHỤ giải thích dùm ĐỆ TỬ đoạn mã này được không ạ

    Trả lờiXóa
  2. Để hôm nào mình làm vài bài về hộp thoại. Do đoạn này mình hơi yếu nên chưa có dám viết. Nhưng sẽ cố gắng viết nhửng cái cơ bản gọi là màu mè thêm cho lisp thì được.

    Trả lờiXóa
  3. HI HI Lúc ban đầu ĐỆ TỬ tưởng SƯ PHỤ dùng VBA để lập nên mấy cái bảng đó chứ , bi giờ biết được sự lợi hại của Lisp rồi nên càng cảm thấy yêu Lisp hơn . Có gì nhờ SƯ PHỤ chỉ giáo nhé , còn bi giờ ĐỆ TỬ sẽ cố gắng hoàn thiện những cái gì được gọi là cơ bản nhất của Lisp .
    Cám ơn SƯ PHỤ nhiều nhé .

    Trả lờiXóa
  4. sao em làm giống như anh hương dẫn mà không được nhỉ? làm lúc được lúc không. lý do nào mà thế nhỉ? anh chỉ giúp em với. email: thanhhand2705@gmail.com

    Trả lờiXóa
  5. Cái lúc được nó như nào bạn. Còn lúc ko được nó như nào. Bạn copy cái dòng thông báo của cad mình xem thử.

    Trả lờiXóa
  6. sáng nay em với học lisp theo anh hướng dẫn. đang viết thư phản hồi cho anh thì em biết em sai chỗ nào rồi. giờ thì em làm được rồi. em cam on anh nhiều.

    Trả lờiXóa
  7. Xin cảm ơn Anh đã chia sẻ lisp rất bổ ích. Anh có thể bổ sung thêm hình dạng thanh thép và tổng hợp khối lượng như mình làm dự toán được không vậy? Khối lượng thép đk<18mm và >18mm ...
    Chúc Anh sức khỏe và thành công

    Trả lờiXóa
  8. 1* Mình có viết theo yêu cầu của 1 bạn cái thống kê thép như này nhưng với 120 hình dáng thép. Mình thì chỉ cần bây nhiêu nên dùng cái này cho chọn lọc (mình là kts mà chỉ thống kê vài cái đơn giản thôi). Hôm nào mình up luôn cáo lisp đó lên đây.
    2* Tổng hợp thép thò mình tổng hợp cho từng loại pi bạn chịu khó cọng chứ code dài ngoằng ngồi dò rồi viết thêm vào lâu quá bạn thông cảm.

    Trả lờiXóa
  9. cảm ơn anh nhiều

    Trả lờiXóa
  10. Nhờ Duy chỉnh sửa Lisp này (đang là lisp tính diện tích tự update rồi xuất ra text cad) thành lisp tính chu vi (tổng quát hơn là độ dài hình hoặc đường bất kỳ), các tính năng tự update, xuất ra text cad như vậy được rồi, cảm ơn Duy trước nha, Lisp như sau:

    ;; free lisp from cadviet.com
    ;;; this lisp was downloaded from http://www.cadviet.com/forum/index.php?showtopic=2804
    (defun ufa (notifier-object reactor-object parameter-list)
    (vl-load-com)
    (cond
    ((vlax-property-available-p notifier-object "Area")
    (setq actDoc
    (vla-get-ActiveDocument (vlax-get-acad-object)))
    (vla-SAVE actDoc)
    )
    )
    )


    (defun plar(/ pt pt1 pt2)
    (setq pt (getpoint"\nStarting Point: "))
    (setq pt1 (getpoint pt "\nNext Point: "))
    (command "Pline" pt pt1 "")
    (while
    (setq pt2 (getpoint pt1"\nNext Point: "))
    (command "pline" "" pt2 "")
    (command "pedit" pt "j" pt pt2 "" "")
    (setq pt1 pt2)
    )
    (command "pedit" pt "c" "")
    (princ)
    )

    (defun ar5 ()
    (SETQ A NIL)
    (vl-load-com)

    (setq cm (getvar "cmdecho"))
    (setvar"cmdecho" 0)
    (setq fd (getvar "fielddisplay"))
    (if (/= fd 0)(setvar"fielddisplay" 0))

    (setq ar1 (entsel "\nSelect Area Boundary: "))
    (setq ar2 (car ar1))
    (setq tab (vlax-ename->vla-object ar2))
    (setq oba (vla-get-objectid tab))

    (setq lu (getvar "lunits"))
    (setq tpt (getpoint"\nSelect Area Text Point: "))
    (cond
    ((= lu 2) (setq lin (strcat "%<\\AcObjProp Object(%<\\_ObjId "
    (rtos oba 2 0) ">%).Area \\f \"%lu6%qf1\">%")))
    ((= lu 4) (setq lin (strcat "%<\\AcObjProp Object(%<\\_ObjId "
    (rtos oba 2 0) ">%).Area \\f \"%lu2%ct4%qf1 SQ. FT.\">%")))
    ((= lu 5) (setq lin (strcat "%<\\AcObjProp Object(%<\\_ObjId "
    (rtos oba 2 0) ">%).Area \\f \"%lu5\">%")))
    ((= lu 3) (setq lin (strcat "%<\\AcObjProp Object(%<\\_ObjId "
    (rtos oba 2 0) ">%).Area \\f \"%lu2%ct4%qf1 SQ. FT.\">%")))
    ((= lu 1) (setq lin (strcat "%<\\AcObjProp Object(%<\\_ObjId "
    (rtos oba 2 0) ">%).Area \\f \"%lu1\">%")))
    )
    (command "mtext" tpt "w" "0" lin "")
    (setq plineReactor (vlr-object-reactor (list tab) "pline Reactor" '((:vlr-modified . ufa))))

    (princ)
    )

    (defun c:tarb (/ key)
    (initget 1 "Boundary/label-area Label-area")
    (setq key (getkword "\nWould you like Boundary/label-area or Label-area: "))
    (cond
    ((= key "Boundary/label-area")(plar)(ar5))
    ((= key "Label-area")(ar5))
    )
    (princ)
    )

    Trả lờiXóa
  11. Qủa tự cập nhật này mình đọc chưa hiểu hế được nên ko giúp bạn được nhé. :-(

    Trả lờiXóa
  12. Spot on with thiѕ writе-up, I honestly think this
    web site needs much more attentiоn.
    Ι'll probably be back again to read more, thanks for the info!

    My web blog; Chemietoilette

    Trả lờiXóa
  13. If some one dеsirеs to be updated with most uρ-to-date technologies then hе must be visit thіs web page and be
    up to date daіly.

    my web blog just click the following document

    Trả lờiXóa
  14. Hеya i am for the primary timе herе.
    I саme acrosѕ thіs board anԁ I іn findіng
    It rеally useful & it helpеԁ
    me out a lοt. I hope to giѵе оne
    thing again and hеlp others ѕuch as yοu helped
    mе.

    my ωeb-ѕite; painting your Bathroom Vanity cabinet

    Trả lờiXóa
  15. I'm gone to inform my little brother, that he should also pay a quick visit this website on regular basis to take updated from newest gossip.

    Check out my site :: agryd.com

    Trả lờiXóa
  16. I am now not sure where you are getting your info, however great topic.
    I needs to spend some time studying much more or working out more.
    Thanks for great information I was looking for this information for my mission.


    My web blog Heidelberg Kindergeburtstag

    Trả lờiXóa

Khi viết nhận xét mong bạn không đứng vai trò nặc danh! Bạn có thể chọn Name/Url trong đó Url là http://duy782006.blogspot.com/ như vậy hay hơn nặc danh bạn nhé.